/*
 * 自弾コントロール
 */
void
mslcontrol()
	{
	int	i,j;

	for ( i = 0 ; i < MAXMSL ; i++ )
		{
		if ( msl[i].flag )
			{
			msl[i].x += msl[i].xspeed;
			msl[i].y += msl[i].yspeed;
			msl[i].z += msl[i].zspeed;
			if ( msl[i].x < 0 || msl[i].x > FSX ) msl[i].flag = 0;
			if ( msl[i].y < -0x100 || msl[i].y > FSY ) msl[i].flag = 0;
			if ( msl[i].z < 0 || msl[i].z > FSZ-0x40 ) msl[i].flag = 0;
			}
		}
	}
